# $Revision: 1.1 $, $Date: 2004/11/16 23:44:11 $
%define		fversion	%(echo %{version} |tr r -)
%define		modulename	xgobi
Summary:	Interface to the XGobi and XGvis programs for graphical data analysis
Summary(pl):	Interfejsy do programw XGobi i XGvis dla graficznej analizy danych
Name:		R-cran-%{modulename}
Version:	1.2r12
Release:	1
License:	Copyright (C) by Bellcore, non-profit use and redistribution permitted (see COPYING for details)
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	3edae689c69c12ef71df1ee269c1b1b8
BuildRequires:	R-base >= 2.0.0
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface to the XGobi and XGvis programs for graphical data analysis.

%description
Interfejsy do programw XGobi i XGvis dla graficznej analizy danych.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,README,COPYING,ChangeLog}
%{_libdir}/R/library/%{modulename}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-xgobi.spec,v $
Revision 1.1  2004/11/16 23:44:11  undefine
- initital

